#include "kxkbconfig.h"

KxkbConfig::KxkbConfig(const QString layout, const QString model, const QString variants, const QString options)
    : LayoutList(layout)
    , Model(model)
    , VariantList(variants)
    , Options(options)
{}

KxkbConfig::KxkbConfig(const KConfigGroup &kconfig)
    : LayoutList(kconfig.readEntry("LayoutList", QString()))
    , Model(kconfig.readEntry("Model", QString()))
    , VariantList(kconfig.readEntry("VariantList", QString()))
    , Options(kconfig.readEntry("Options", QString()))
{}

KxkbConfig::KxkbConfig(const QVariantMap &x11Properties)
    : LayoutList(x11Properties[QStringLiteral("X11Layout")].toString())
    , Model(x11Properties[QStringLiteral("X11Model")].toString())
    , VariantList(x11Properties[QStringLiteral("X11Variant")].toString())
    , Options(x11Properties[QStringLiteral("X11Options")].toString())
{}

void KxkbConfig::write(KConfigGroup &kconfig)
{
    kconfig.writeEntry("LayoutList", LayoutList);
    kconfig.writeEntry("Model", Model);
    kconfig.writeEntry("VariantList", VariantList);
    kconfig.writeEntry("Options", Options);
}

bool KxkbConfig::operator==(const KxkbConfig &other)
{
    return
        LayoutList == other.LayoutList &&
        Model == other.Model &&
        VariantList == other.VariantList &&
        Options == other.Options;
}
