#include <QCoreApplication>
#include <KConfig>
#include <KConfigGroup>

#include "xkbhandler.h"

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    {
        KConfig welcomeConfig(QStringLiteral("plasma-welcomerc"), KConfig::NoGlobals);
        bool live = welcomeConfig.group(QStringLiteral("General")).readEntry("LiveEnvironment", false);

        if (!live) {
            qInfo() << "This does not appear to be a live environment;" << a.applicationName() << "will not run.";
            return EXIT_SUCCESS;
        }
    }

    {
        KConfig kwinConfig(QStringLiteral("kwinrc"), KConfig::NoGlobals);
        bool followLocale1 = kwinConfig.group(QStringLiteral("Wayland")).readEntry("FollowLocale1", false);

        if (!followLocale1) {
            qInfo() << "KWin is not configured to use locale1;" << a.applicationName() << "will not run.";
            return EXIT_SUCCESS;
        }
    }

    XkbHandler worker(&a);
    return a.exec();
}
