#ifndef XKBHANDLER_H
#define XKBHANDLER_H

#include <QObject>
#include <KSharedConfig>

#include "DBusLocale1.h"
#include "DBusKDEKeyboardLayouts.h"

class XkbHandler : public QObject
{
    Q_OBJECT
public:
    explicit XkbHandler(QObject *parent = nullptr);

public Q_SLOTS:
    void locale1Changed();
    void kxkbChanged();
    void rotateLayouts(uint idx);

private:
    bool m_initialized;
    KSharedConfigPtr m_kxkbConfig;
    OrgFreedesktopLocale1Interface m_locale1;
    OrgFreedesktopDBusPropertiesInterface m_locale1Properties;
    OrgKdeKeyboardLayoutsInterface m_KDEKeyboardLayouts;
};

#endif // XKBHANDLER_H
